Debian Bug report logs - #687624
ITP: libdvdcss-pkg -- automated installer for libdvdcss

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Fri, 14 Sep 2012 11:21:01 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 14 Sep 2012 11:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 21:19:43 +1000
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: libdvdcss-pkg
        Version: 1.2.12-1
Upstream Author: Dmitry Smirnov <onlyjob@member.fsf.org>
        License: GPL-3+
    Description: download, build and install libdvdcss package
                 This package will automatically download, build and install
                 libdvdcss on your system.
                 .
                 libdvdcss is a library for accessing and unscrambling DVDs encrypted
                 with the Content Scramble System (CSS).
                 It is a free software but it may be illegal in some jurisdictions.

This is a proof-of-concept implementation of automated installer for libdvdcss.

Since we can't risk shipping libdvdcss itself here is a proposed implementation
with the following features:

 * Installer is implemented as shell script installed as DPKG post-invoke
   handler.

 * Host package version meant to me an exact match of guest package
   with debian/watch file inherited from guest package for notifications
   about new upstream versions.

 * Package contains "guest" package sources, but not upstream sources.
   Upstream sources will be fetched using "uscan".

 * When "guest" package is built, its debian revision number is changed by
   appending "~local" to clearly mark generated packages.

 * During build of "guest" packages "Host" package is injected to Guest's
   Depends to make sure generated packages will be removed on "host"
   package remove/purge.

 * Host package uses debconf to warn user regarding possible
   implications.

 * If user choose to remove "guest" package, debconf configuration
   will be updated to prevent re-installation of "guest" packages.

 * "dpkg-reconfigure libdvdcss-pkg" may be used to build and install
   guest packages. Otherwise guest package(s) will be built and installed
   from DPKG post-invoke handler. Although automated, unfortunately this
   will delay installation till next apt-get operation. Is there a better
   way to hook into apt-get sequence?

 * Upgrades are gracefully handled i.e. when host package is updgraded it
   will build and install guest packages automatically, if prior user
   decision allows it. As mentioned above, installation will be delayed.

Source package is available from 

	http://mentors.debian.net/package/libdvdcss-pkg

Ideas are welcome -- please share your thoughts.



Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Fri, 14 Sep 2012 11:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 11:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Fri, 14 Sep 2012 11:54:08 GMT) Full text and rfc822 format available.

Message #12 received at 687624@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: debian-devel@lists.debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>, 687624@bugs.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 13:51:44 +0200
[Message part 1 (text/plain, inline)]
Hi Dmitry,

Le vendredi, 14 septembre 2012 13.19:43, Dmitry Smirnov a écrit :
>    Package name: libdvdcss-pkg

Surprising package.

>  * Installer is implemented as shell script installed as DPKG post-invoke
>    handler.
> 
>  * Host package version meant to me an exact match of guest package
>    with debian/watch file inherited from guest package for notifications
>    about new upstream versions.

uscan does absolutely no checking of the resulting tarball so this is 
sensitive to DNS MITM (at least). IMHO having a tighter connection between 
this libdvdcss-pkg and the upstream tarballs hashsums would be a good idea: 
you would need to upload a new version of libdvdcss-pkg for each new version 
of libdvdcss to tighten the trust chain.

Cheers,

OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 12:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Fri, 14 Sep 2012 12:12:05 GMT) Full text and rfc822 format available.

Message #17 received at 687624@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: debian-devel@lists.debian.org
Cc: "Didier 'OdyX' Raboud" <odyx@debian.org>, Dmitry Smirnov <onlyjob@member.fsf.org>, 687624@bugs.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 14:09:48 +0200
> Le vendredi, 14 septembre 2012 13.19:43, Dmitry Smirnov a écrit :
> >  * Installer is implemented as shell script installed as DPKG post-invoke
> >    handler.

I remember a discussion from somewhere, sometime that it would be a good 
thing(tm) to have a common infrastructure (helper script) for this kind of 
packages. The common infrastructure should make sure that the downloaded files 
are crytographically checked against a hashsum.

From my head I know these similar packages: flash-installer-nonfree, some 
microsoft fonts downloader, java-package (for sun's java), ...?

Regards,

Thomas Koch, http://www.koch.ro



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Fri, 14 Sep 2012 12:18:05 GMT) Full text and rfc822 format available.

Message #22 received at 687624@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 687624@bugs.debian.org
Cc: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 14:14:57 +0200
On Fri, Sep 14, 2012 at 1:19 PM, Dmitry Smirnov <onlyjob@member.fsf.org> wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org
>
>    Package name: libdvdcss-pkg
>         Version: 1.2.12-1
> Upstream Author: Dmitry Smirnov <onlyjob@member.fsf.org>
>         License: GPL-3+
>     Description: download, build and install libdvdcss package
>                  This package will automatically download, build and install
>                  libdvdcss on your system.
>                  .
>                  libdvdcss is a library for accessing and unscrambling DVDs encrypted
>                  with the Content Scramble System (CSS).
>                  It is a free software but it may be illegal in some jurisdictions.
>
> This is a proof-of-concept implementation of automated installer for libdvdcss.

This has been discussed before within the pkg-multimedia team. There
is even preliminary work available at
http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libdvdcss-installer.git;a=summary.

Team pkg-multimedia, does anyone remember or know why that branch has
not been uploaded to debian yet?

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 12:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Sep 2012 12:21:08 GMT) Full text and rfc822 format available.

Message #27 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: "Didier 'OdyX' Raboud" <odyx@debian.org>
Cc: debian-devel@lists.debian.org, 687624@bugs.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 22:18:17 +1000
On Fri, 14 Sep 2012 21:51:44 Didier 'OdyX' Raboud wrote:

> uscan does absolutely no checking of the resulting tarball so this is
> sensitive to DNS MITM (at least). IMHO having a tighter connection between
> this libdvdcss-pkg and the upstream tarballs hashsums would be a good idea:
> you would need to upload a new version of libdvdcss-pkg for each new
> version of libdvdcss to tighten the trust chain.

Thanks for your feedback -- I like the idea of having tarballs hashsums. 
I will implement it.

Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 12:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Sep 2012 12:30:11 GMT) Full text and rfc822 format available.

Message #32 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: thomas@koch.ro, 687624@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 22:26:54 +1000
On Fri, 14 Sep 2012 22:09:48 Thomas Koch wrote:
> I remember a discussion from somewhere, sometime that it would be a good
> thing(tm) to have a common infrastructure (helper script) for this kind of
> packages. The common infrastructure should make sure that the downloaded
> files are crytographically checked against a hashsum.

We could start from one nice implementation and then think what it can become.
To me start from reasonably good template would be a good one.


> From my head I know these similar packages: flash-installer-nonfree, some
> microsoft fonts downloader, java-package (for sun's java), ...?

There is not too much similarity here: 

java-package expect user to download upstream archive and run make-jpkg to 
generate .deb and install generated debs manually (no upgrades).

Others do not build packages...

I'd like to handle upgrades and install only using package management system.

Cheers,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 12:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Sep 2012 12:51:09 GMT) Full text and rfc822 format available.

Message #37 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Reinhard Tartler <siretart@gmail.com>
Cc: 687624@bugs.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 22:49:21 +1000
On Fri, 14 Sep 2012 22:14:57 Reinhard Tartler wrote:
> This has been discussed before within the pkg-multimedia team. There
> is even preliminary work available at
> http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libdvdcss-installer.git;
> a=summary.
 
Thank you, I'm aware of that. Some time ago I wrote to Andres Mejia (who made 
libdvdcss-installer) to discuss but got no reply yet.

Our implementations are very different.

I'm member of pkg-multimedia but I hesitated to alter libdvdcss-installer 
without Andres' consent.


> Team pkg-multimedia, does anyone remember or know why that branch has
> not been uploaded to debian yet?

If I recall correctly, it can't install the package from postinst due to DPKG 
lock. Probably that's the main reason. 
Also it is manual, got no debconf prompt to warn user about consequences, 
can't handle upgrades (and removes) gracefully etc.

Cheers,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 13:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Fri, 14 Sep 2012 13:09:08 GMT) Full text and rfc822 format available.

Message #42 received at 687624@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 687624@bugs.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 15:06:32 +0200
On Fri, Sep 14, 2012 at 09:19:43PM +1000, Dmitry Smirnov wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org
> 
>    Package name: libdvdcss-pkg
>         Version: 1.2.12-1
> Upstream Author: Dmitry Smirnov <onlyjob@member.fsf.org>
>         License: GPL-3+
>     Description: download, build and install libdvdcss package

Very cool!  Recently I was wondering "Why does not do anybody exactly
this?" ;-) 

I'd strongly recommend to do this inside the pkg-multimedia team / VCS.
This team is far from beeing that strictly organised as for instance
Debian Med - but it finally should be and could profit from some
strengthening member.

Good luck with this package

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Sep 2012 13:30:03 GMT) Full text and rfc822 format available.

Message #47 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 687624@bugs.debian.org
Subject: integrity checking implemented
Date: Fri, 14 Sep 2012 23:27:25 +1000
Integrity checking for downloaded orig.tar is implemented,
updated package is uploaded to

    https://mentors.debian.net/package/libdvdcss-pkg

Thanks,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Sep 2012 13:45:05 GMT) Full text and rfc822 format available.

Message #52 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: 687624@bugs.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 23:42:03 +1000
On Fri, 14 Sep 2012 23:06:32 Andreas Tille wrote:
> I'd strongly recommend to do this inside the pkg-multimedia team / VCS.
> This team is far from beeing that strictly organised as for instance
> Debian Med - but it finally should be and could profit from some
> strengthening member.
> 
> Good luck with this package
> 

Thank you for your kind words and for your support, Andreas.

As advised I created repository at pkg-multimedia:

    http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libdvdcss-pkg.git

Best regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Fri, 14 Sep 2012 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Fri, 14 Sep 2012 16:15:06 GMT) Full text and rfc822 format available.

Message #57 received at 687624@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: debian-devel@lists.debian.org
Cc: 687624@bugs.debian.org
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Fri, 14 Sep 2012 16:45:11 +0100
On Fri, Sep 14, 2012 at 01:26:19PM +0100, Simon McVittie wrote:
> game-data-packager, although that one is a bit different: it supports a
> relatively large number of game-data packages, and most of the data it
> works on is not freely downloadable, so it often has to support building
> "the same" package from various different releases (American vs.
> European publisher, original version vs. budget re-release, etc.) in
> order to support the particular disk/CD/DVD that a user owns.

Indeed - I had envisaged game-data-packager growing into 'data-packager' at
some point.

The design was initially inspired by java-package, which IMHO was a better
solution than run-as-root postinst (the flash installer method, and the one
OP is proposing in this ITP).  java-package since disappeared, as the sun
java's could be packaged; that situation has sadly regressed so perhaps
there's call for java support in (game-)data-packager once again.

In this case, however, it seems as easy to install libdvdcss from
debian-multimedia than to have hacks to build it from source. The hacky
package would have to live in contrib anyway, so it's still not in Debian.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Sun, 16 Sep 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sun, 16 Sep 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #62 received at 687624@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Dmitry Smirnov <onlyjob@member.fsf.org>, 687624@bugs.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, Ftp Masters <ftpmaster@debian.org>
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Sun, 16 Sep 2012 20:39:49 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 14, 2012 at 02:14:57PM +0200, Reinhard Tartler wrote:
> > This is a proof-of-concept implementation of automated installer for libdvdcss.
> 
> This has been discussed before within the pkg-multimedia team. There
> is even preliminary work available at
> http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libdvdcss-installer.git;a=summary.

Indeed. I've in the past sought legal advice on the appropriateness of
having an automated installer for libdvdcss in the Debian archive and
shared the results with interested members of pkg-multimedia team. The
bottom line of that work was that it could be done, but we need to pay
attention at the package description. Please check back with me before
finalizing that part.

... and of course, as a more general advice, please avoid duplicating
efforts and converge on a single implementation, whatever, but please
only one :-)

Thanks for your interest in this,
Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Mon, 17 Sep 2012 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Sep 2012 04:54:03 GMT) Full text and rfc822 format available.

Message #67 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 687624@bugs.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#687624: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Mon, 17 Sep 2012 14:50:20 +1000
[Message part 1 (text/plain, inline)]
On Mon, 17 Sep 2012 04:39:49 Stefano Zacchiroli wrote:
> Indeed. I've in the past sought legal advice on the appropriateness of
> having an automated installer for libdvdcss in the Debian archive and
> shared the results with interested members of pkg-multimedia team. The
> bottom line of that work was that it could be done, but we need to pay
> attention at the package description. Please check back with me before
> finalizing that part.

My package "libdvdcss-pkg" has the following in its description:

  [snip]
  .
  libdvdcss is a library for accessing and unscrambling DVDs encrypted
  with the Content Scramble System (CSS).
  It is a free software but it may be illegal in some jurisdictions.

As well as debconf notice:

  are you sure you want to build and install libdvdcss?
  Please be aware that libdvdcss may be illegal in some jurisdictions.
  .
  Source files will be downloaded from videolan.org.

Please advise if the above warnings are strong enough.


> ... and of course, as a more general advice, please avoid duplicating
> efforts and converge on a single implementation, whatever, but please
> only one :-)

Indeed. In this case there wasn't much of duplication because implementations 
are substantially different.
I believe having two proof-of-concept implementations can allow peer review to 
have a good starting point for decision whichever is better and make possible 
to actually try the package rather than having long theoretical discussions 
about how it could be done.

I'm sure eventually we will be merging our efforts when Andres Mejia (the 
author of the other implementation) will find time to reply.

Thank you.

All the best,
Dmitry.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Thu, 03 Jan 2013 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Thu, 03 Jan 2013 12:15:03 GMT) Full text and rfc822 format available.

Message #72 received at 687624@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: pkg-multimedia-maintainers@lists.alioth.debian.org
Cc: Dmitry Smirnov <onlyjob@member.fsf.org>, 687624@bugs.debian.org
Subject: Re: [SCM] glmark2/master: RFP/ITP bug #695849 assigned
Date: Thu, 3 Jan 2013 13:10:15 +0100
On Thu, Dec 13, 2012 at 1:59 PM,  <onlyjob-guest@users.alioth.debian.org> wrote:
> The following commit has been merged in the master branch:
> commit d191a4eb0740b54661c4cc0fc288b79063e822a4
> Author: Dmitry Smirnov <onlyjob@member.fsf.org>
> Date:   Thu Dec 13 23:59:01 2012 +1100
>
>     RFP/ITP bug #695849 assigned
>
> diff --git a/debian/changelog b/debian/changelog
> index 9c36013..19d9f30 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -1,5 +1,5 @@
>  glmark2 (2012.11-1) UNRELEASED; urgency=low
>
> -  * Initial release (Closes: #).
> +  * Initial release (Closes: #695849).
>
>   -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Dec 2012 23:31:56 +1100


TBH, I think this package is (currently) not fit for the
pkg-multimedia team for two reasons:

a) It does not contain the upstream sources, only the packaging
directory debian/ is in the tree
b) It is not backed up by some other pkg-multimedia team member.

Dimitry, unless both issues can be fixed, I think collab-maint would
serve a much better umbrella than pkg-multimedia.

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687624; Package wnpp. (Thu, 03 Jan 2013 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 12:48:03 GMT) Full text and rfc822 format available.

Message #77 received at 687624@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Reinhard Tartler <siretart@gmail.com>
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org, 687624@bugs.debian.org
Subject: Re: [SCM] glmark2/master: RFP/ITP bug #695849 assigned
Date: Thu, 3 Jan 2013 23:43:55 +1100
On Thu, 3 Jan 2013 23:10:15 Reinhard Tartler wrote:
> On Thu, Dec 13, 2012 at 1:59 PM,  <onlyjob-guest@users.alioth.debian.org> 
wrote:
> > The following commit has been merged in the master branch:
> > commit d191a4eb0740b54661c4cc0fc288b79063e822a4
> > Author: Dmitry Smirnov <onlyjob@member.fsf.org>
> > Date:   Thu Dec 13 23:59:01 2012 +1100
> > 
> >     RFP/ITP bug #695849 assigned
> > 
> > diff --git a/debian/changelog b/debian/changelog
> > index 9c36013..19d9f30 100644
> > --- a/debian/changelog
> > +++ b/debian/changelog
> > @@ -1,5 +1,5 @@
> > 
> >  glmark2 (2012.11-1) UNRELEASED; urgency=low
> > 
> > -  * Initial release (Closes: #).
> > +  * Initial release (Closes: #695849).
> > 
> >   -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Dec 2012 23:31:56
> >   +1100
> 

Sorry Reinhard, I'm a bit confused which package you're talking about -- 
"glmark2" or "libdvdcss-pkg"? You quoted one bug but posted to another...


> TBH, I think this package is (currently) not fit for the
> pkg-multimedia team for two reasons:
> 
> a) It does not contain the upstream sources, only the packaging
> directory debian/ is in the tree

If it is glmark2 it is easy enough to fix if you're concerned about team's 
best practice. Is this so important because of team preference?
In SVN we usually track only packaging. I think choosing git shouldn't always 
imply git-buildpackage repository layout...


> b) It is not backed up by some other pkg-multimedia team member.

Please help me to understand -- because I'm not sure what package you're 
talking about. Do we need at least one team member to back it up?
Or would you insist on minimum two members?

 
> Dimitry, unless both issues can be fixed, I think collab-maint would
> serve a much better umbrella than pkg-multimedia.

Although glmark2 is finished I'm a bit reluctant to take responsibility for it 
at this time but I might do it later.
Package "glmark2" is much related to multimedia and appears to be a good fit 
for a team. Does it make sense to move it to collab-maint for some time? Even 
if not maintained now, it's a new package so perhaps it's not too important 
where it is waiting for maintainer while it is not uploaded yet.

It feels a bit like "finish it or leave"... Speaking about finishing, did you 
have a chance to try it? Do you think it is useful despite failure of some 
opengl (but not opengl-es) tests? If so I'm happy to own ITP even though it 
might not be a right time for me.

Thank you.

-- 
Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#687624; Package wnpp. (Sun, 03 Nov 2013 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sun, 03 Nov 2013 02:15:05 GMT) Full text and rfc822 format available.

Message #82 received at 687624@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 687624@bugs.debian.org
Subject: Re: ITP: libdvdcss-pkg -- automated installer for libdvdcss
Date: Sun, 03 Nov 2013 03:13:43 +0100
[Message part 1 (text/plain, inline)]
Hi.

Anything new on this? Now that Debian has accepted stuff like libaacs,
this shouldn't be much more of a problem, should it?

And I guess it's one of THE reasons why people still need to use DMO.

Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:14:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.